ru.bitel.bgbilling.modules.payonline.common.service

## Interface PayOnlineService

-     public interface PayOnlineService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransactions(java.lang.String transactions)`
    `void` | `deleteContractRebillTransaction(int rebillTransactionId)`
    `void` | `deleteTransactions(java.util.List<java.lang.Integer> transactionIds)`
    `Rebill` | `getContractRebillTransaction(int contractId)`
    `java.util.List<IdTitle>` | `getContractTitles(java.util.List<java.lang.Integer> contractIds)`
    `SearchResult<RebillTransaction>` | `searchRebillTransactions(java.lang.String result, Period period, java.lang.String[] sort, Page page)`
    `SearchResult<Transaction>` | `searchTransactions(int contractId, java.lang.String contractTitle, java.lang.String transactionStatus, Period period, java.lang.String[] sort, Page page)`

- - ### Method Detail

    - #### searchTransactions

          SearchResult<Transaction> searchTransactions(int contractId,
                                                       java.lang.String contractTitle,
                                                       java.lang.String transactionStatus,
                                                       Period period,
                                                       java.lang.String[] sort,
                                                       Page page)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransactions

          void addTransactions(java.lang.String transactions)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteTransactions

          void deleteTransactions(java.util.List<java.lang.Integer> transactionIds)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTitles

          java.util.List<IdTitle> getContractTitles(java.util.List<java.lang.Integer> contractIds)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractRebillTransaction

          Rebill getContractRebillTransaction(int contractId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractRebillTransaction

          void deleteContractRebillTransaction(int rebillTransactionId)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchRebillTransactions

          SearchResult<RebillTransaction> searchRebillTransactions(java.lang.String result,
                                                                   Period period,
                                                                   java.lang.String[] sort,
                                                                   Page page)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`